/*
 * Copyright (c) 2010 by Intevation GmbH
 *
 * This program is free software under the LGPL (>=v2.1)
 * Read the file LGPL.txt coming with the software for details
 * or visit http://www.gnu.org/licenses/ if it does not exist.
 */

package de.intevation.gnv.chart.exception;

/**
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class TechnicalChartException extends Exception {

    /**
     * The UID of this Class
     */
    private static final long serialVersionUID = -5325863742368006109L;

    /**
     * Constructor
     */
    public TechnicalChartException() {
    }

    /**
     * Constructor
     *
     * @param message
     */
    public TechnicalChartException(String message) {
        super(message);
    }

    /**
     * Constructor
     *
     * @param cause
     */
    public TechnicalChartException(Throwable cause) {
        super(cause);
    }

    /**
     * Constructor
     *
     * @param message
     * @param cause
     */
    public TechnicalChartException(String message, Throwable cause) {
        super(message, cause);
    }

}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
